Name:       badge
Summary:    Badge library
Version:    0.2.0
Release:    1
Group:      Applications/Core Applications
License:    Apache-2.0
Source0:    %{name}-%{version}.tar.gz
BuildRequires: pkgconfig(aul)
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(dlog)
BuildRequires: pkgconfig(vconf)
BuildRequires: pkgconfig(capi-appfw-package-manager)
BuildRequires: pkgconfig(db-util)
BuildRequires: pkgconfig(libtzplatform-config)
BuildRequires: pkgconfig(pkgmgr-info)
BuildRequires: pkgconfig(libsmack)
BuildRequires: pkgconfig(capi-system-info)
BuildRequires: cmake
Requires(post): /sbin/ldconfig
requires(postun): /sbin/ldconfig

%define upgrade_script_path /usr/share/upgrade/scripts

%description
Client/Server library for updating badge information

%prep
%setup -q

%package devel
Summary:    Badge library (devel)
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
Development files needed to build software that needs to system a system badge.

%package service-devel
Summary:    Badge library (service-devel)
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description service-devel
Development files needed to build badge service

%build
export LDFLAGS+="-Wl,--rpath=%{_prefix}/lib -Wl,--as-needed"
LDFLAGS="$LDFLAGS"
MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
%cmake . \
	-DMAJORVER=${MAJORVER} \
	-DFULLVER=%{version}
make %{?jobs:-j%jobs}

%install
%make_install

mkdir -p %{buildroot}%{upgrade_script_path}
cp -f scripts/506.badge_upgrade.sh %{buildroot}%{upgrade_script_path}

%post
/sbin/ldconfig

if [ ! -d %{TZ_SYS_DB} ]
then
	mkdir -p %{TZ_SYS_DB}
fi

%postun -p /sbin/ldconfig

%files
%manifest badge.manifest
%defattr(-,root,root,-)
%{_libdir}/libbadge.so.*
%license LICENSE
%{_includedir}/badge/badge.h
%{_includedir}/badge/badge_error.h
%{_includedir}/badge/badge_internal.h
%{_includedir}/badge/badge_setting.h
%{_includedir}/badge/badge_setting_service.h
%{_includedir}/badge/badge_ipc.h
%attr(755,root,root) %{_sysconfdir}/gumd/useradd.d/11_badge-add.post
%{_bindir}/badge_init
%{upgrade_script_path}/506.badge_upgrade.sh


%files devel
%defattr(-,root,root,-)
%{_includedir}/badge/badge.h
%{_includedir}/badge/badge_error.h
%{_includedir}/badge/badge_internal.h
%{_includedir}/badge/badge_db.h
%{_includedir}/badge/badge_setting.h
%{_includedir}/badge/badge_setting_service.h
%{_includedir}/badge/badge_ipc.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libbadge.so
